#include "functions.h"

using namespace Filtering;

void Functions::memset_c(Byte *pPlane, int nPitch, int nWidth, int nHeight, Byte value)
{
   for ( int i = 0; i < nHeight; i++, pPlane += nPitch )
      memset(pPlane, value, nWidth);
}

void Functions::copy_c(Byte *pDst, int nDstPitch, const Byte *pSrc, int nSrcPitch,
                       int nWidth, int nHeight)
{
   for ( int i = 0; i < nHeight; i++, pDst += nDstPitch, pSrc += nSrcPitch )
      memcpy(pDst, pSrc, nWidth);
}

void Functions::prefetch_nothing_c(const Byte *pDst, int nWidth)
{
}
