%INCLUDE "support.asm"

;=============================================================================
; Code
;=============================================================================

SECTION .text:

   mt_mangle AddDiff, adddiff8_mmx
   mt_mangle AddDiff, adddiff8_isse
   mt_mangle AddDiff, adddiff8_3dnow
   
%MACRO MT_ADDDIFF_ROLLED 0
   MT_SUPPORT_DIFF_ROLLED paddsb
%ENDMACRO

%MACRO MT_ADDDIFF_UNROLLED 2
   MT_SUPPORT_DIFF_UNROLLED %1, %2, paddsb
%ENDMACRO

%MACRO MT_ADDDIFF_ENDLINE 0
   add                  edi, [esp + .nDstPitch]
   add                  esi, [esp + .nSrcPitch]
%ENDMACRO

adddiff8_mmx:
   MT_SUPPORT_COMMON    ADDDIFF, MT_NOPREFETCH, MT_NOPREFETCH
   
adddiff8_isse:
   MT_SUPPORT_COMMON    ADDDIFF, MT_PREFETCHT0, MT_PREFETCHT0
   
adddiff8_3dnow:
   MT_SUPPORT_COMMON    ADDDIFF, MT_PREFETCHW, MT_PREFETCHT0  
